package de.fraunhofer.iem.dataprovider.gitlab;

import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface RepositoryRepository : JpaRepository<Repository, UUID> {


    fun existsByRepoIdAndPlatform(repoId: Long, platform: Platform): Boolean


    fun findByRepoIdAndPlatform(repoId: Long, platform: Platform): Repository?
}