package de.fraunhofer.iem.dataprovider

import de.fraunhofer.iem.dataprovider.taskManager.Event
import de.fraunhofer.iem.dataprovider.taskManager.tasks.OdcTask
import kotlinx.coroutines.ExperimentalCoroutinesApi
import kotlinx.coroutines.test.runTest
import org.junit.jupiter.api.Test

@OptIn(ExperimentalCoroutinesApi::class)
class OdcTaskTest {
    suspend fun callback(event: Event) {}

    @Test
    fun initTest() = runTest {
        OdcTask("/this/is/no/real/path", "/neither/is/this", ::callback)
    }
}